Summary
Alters a device configuration
Description
Apply specified changes to a device configuration with additional options
Route
POST /configuration_manager/patch_device/advanced/:deviceName
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| deviceName |
string |
yes |
- |
| changes |
array |
yes |
- |
| options |
object |
yes |
Additional parameters (optional) |
Copied to Clipboard
{
"changes": [
{
"parents": [
"parent line of config"
],
"old": "old config line",
"new": "new config line"
},
{
"parents": [
"parent line of config",
"parent line of config"
],
"old": "old config line",
"new": "new config line"
}
],
"options": {
"backupDevice": false
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"changes": {
"title": "changes",
"type": "array",
"items": {
"type": "object",
"properties": {
"parents": {
"type": "array",
"items": {
"type": "string",
"examples": [
"parent line of config"
]
}
},
"old": {
"anyOf": [
{
"const": null
},
{
"type": "string"
}
],
"examples": [
"old config line",
null
]
},
"new": {
"anyOf": [
{
"const": null
},
{
"type": "string"
}
],
"examples": [
"new config line",
null
]
}
}
}
},
"options": {
"title": "options",
"type": "object",
"properties": {
"backupDevice": {
"type": "boolean"
}
}
}
},
"required": [
"changes",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| patchResult |
object |
Direct reponse from the origin's adapter |
Copied to Clipboard
{
"response": [
{
"result": true,
"parents": [
"incididunt",
"ut in"
],
"new": "Excepteur commodo sunt",
"old": "sint pariatur tempor et sed"
},
{
"result": true,
"parents": [
"esse ullamco nostrud officia",
"Duis qui ut sed",
"est"
],
"new": "Ut exercitation anim sit laboris",
"old": "deserunt laboris veniam"
},
{
"result": true,
"parents": [
"esse ad voluptate labore",
"tempor",
"et dolore",
"deserunt ut officia nulla amet"
],
"new": "ex Excepteur aute consequat laboris",
"old": "commodo exercitation"
},
{
"result": true,
"parents": [
"dolore aute",
"cupidatat voluptate",
"deserunt qui eu enim aliquip"
],
"new": "non",
"old": "laboris aute"
},
{
"result": true,
"parents": [
"ut ipsum veniam mollit",
"enim in",
"Lorem deserunt Excepteur consectetur",
"aliqua tempor"
],
"new": "magna",
"old": "enim proident adipisicing pariatur reprehenderit"
}
]
}
Copied to Clipboard
{
"title": "patchResult",
"type": "object",
"properties": {
"response": {
"type": "array",
"items": {
"type": "object",
"properties": {
"result": {
"type": "boolean"
},
"parents": {
"type": "array",
"items": {
"type": "string"
}
},
"new": {
"type": "string"
},
"old": {
"type": "string"
}
}
}
}
}
}